POST /api/v3/place/{placeId}/size

Creates a new place size version with automatic date gap handling

CreatePlaceSizeV3 Permissions: BuildingsAndOrganizations (Edit)
Use this endpoint to add a new size record to a place’s size history. If a preceding place size version exists, its end date is automatically adjusted to match the new record’s begin date. If a succeeding place size version exists, the new record’s end date is set to match the succeeding version’s begin date.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId Unique numeric identifier of the place to add a size record to integer (int32) Required

Request Body

PlaceSizeCreate
Property Description Type
beginDate The begin date for the place size Required Required string (date-time)
unitCode

The place size's unit code

Options are SQFEET for Square Feet and SQMETER for Square Meters

One of 'SQFEET', 'SQMETER', 'HECTARE', 'SQKILOMETER', 'SQMILE', 'SQYARD', 'ACRE' Case sensitive Must be between 0 and 16 characters One of 'SQFEET', 'SQMETER', 'HECTARE', 'SQKILOMETER', 'SQMILE', 'SQYARD', 'ACRE' Case sensitive Must be between 0 and 16 characters Required (defined)
string
value The place size value Required Must be between 0 and 2147483647 Required Must be between 0 and 2147483647 integer (int32)
Example Request Body application/json
{  "beginDate": "2026-06-29",  "unitCode": "string",  "value": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceSizeChild
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
Example Response application/json
{  "beginDate": "2026-06-29",  "endDate": "2026-06-29",  "placeSizeId": 1,  "unitCode": "string",  "unitId": 1,  "unitInfo": "string",  "value": 1.0
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.